#pragma once
#include <map>
struct M_AbysmFishingKingCFGData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class M_AbysmFishingKingCFG
{
public:
private:
	static std::auto_ptr<M_AbysmFishingKingCFG> msSingleton;
public:
	int GetCount();
	const M_AbysmFishingKingCFGData* GetData(std::string Key);
	const std::map<std::string, M_AbysmFishingKingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_AbysmFishingKingCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_AbysmFishingKingCFGData> mMapData;
};
